Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## FRM
Class emos_frm_web_lib

public class emos_frm_web_lib

# This library extends the functionality of EMOS_FRM_GUI_Lib with web functionality. It provides "wrappers" for most frequently used "web" functions such as web_image_click(), etc.

Method Summary
`int` | `FRM_web_image_click(in table, in test, in object, in x, in y)` A standard "wrapper" for web_image_click() function.
`int` | `FRM_web_link_click(in table, in test, in object)` A standard "wrapper" for web_link_click() function.

Method Detail

### FRM_web_image_click

    public int FRM_web_image_click(in table, in test, in object, in x, in y)

  A standard "wrapper" for web_image_click() function. You may use the function in two ways. 1.) If you specify the <object>, then the value from the data table is evaluated. If the value resambles to Yes, the <object> is "pressed". 2.) If you do not provide the <object> parameter, then the value from the data table is used as the name of the object to be "pressed". The second alternative is an elegant way of pressing on OK, Cancel and similar buttons.

  FRM-GUI-TYPE: navigation (read-only)

  TEST DATA FORMAT: String containing either Y/YES/ON (or german equivalent J/JA/ON) or the logical name of the image to be clicked.

  SET-MODE: The function reads the value from the data table and uses it as a parameter to a native web_image_click() function according to aforementioned description.

  CHK-MODE: Not supported for type: navigation! There is nothing to be checked with web_image_click(). Behaves the same as the SET-mode!

  GEN-MODE: Not supported for type: navigation! Ignores the cell (i.e. skips the cell).

  Parameters:
    table (in) table - name
    test (in) test - name (column)
    object (in) (optional) - GUI-object where actions are to be performed
    x (in) (optional) - x-coordinate relative to upper left corner
    y (in) (optional) - y-coordinate relative to upper left corner
  Returns: E_OK: operation successful !E_OK: operation failed

### FRM_web_link_click

    public int FRM_web_link_click(in table, in test, in object)

  A standard "wrapper" for web_link_click() function. You may use the function in two ways. 1.) If you specify the <object>, then the value from the data table is evaluated. If the value resambles to Yes, the <object> is "clicked". 2.) If you do not provide the <object> parameter, then the value from the data table is used as the name of the object to be "clicked". The second alternative is an elegant way of clicking on OK, Cancel and similar buttons.

  FRM-GUI-TYPE: navigation (read-only)

  TEST DATA FORMAT: String containing either Y/YES/ON (or german equivalent J/JA/ON) or the logical name of the link to be clicked.

  SET-MODE: The function reads the value from the data table and uses it as a parameter to a native web_link_click() function according to aforementioned description.

  CHK-MODE: Not supported for type: navigation! There is nothing to be checked with web_image_click(). Behaves the same as the SET-mode!

  GEN-MODE: Not supported for type: navigation! Ignores the cell (i.e. skips the cell).

  Parameters:
    table (in) table - name
    test (in) test - name (column)
    object (in) (optional) - GUI-object where actions are to be performed
  Returns: E_OK: operation successful !E_OK: operation failed

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD